# Data type details

### Text

| Localized            | Determines whether data for this attribute are localized.                                                              |
| -------------------- | ---------------------------------------------------------------------------------------------------------------------- |
| Segment data         | Determines whether data for this attribute are segmented based on a dimension.                                         |
| Enable AI assistant  | Determines whether to enable the AI assistant on this attribute.                                                       |
| Use multi row input  | Determines whether to use a text area instead of a one line input field. Enter the height in pixels you want it to be. |
| Max length           | The maximum number of characters allowed.                                                                              |
| Show character count | Determines whether you want to show the number of characters entered.                                                  |
| Unit                 | Unit of attribute values.                                                                                              |
| Regex validation     | A regular expression, which the input has to match.                                                                    |

### Number

| Localized          | Determines whether data for this attribute are localized.                      |
| ------------------ | ------------------------------------------------------------------------------ |
| Segment data       | Determines whether data for this attribute are segmented based on a dimension. |
| Number of decimals | The number of decimals to round to.                                            |
| Unit               | Unit of attribute values.                                                      |
| Regex validation   | A regular expression, which the input has to match.                            |

### Date time

| Include time | Determines whether users shall be able to select time as well as a date.       |
| ------------ | ------------------------------------------------------------------------------ |
| Localized    | Determines whether data for this attribute are localized.                      |
| Segment data | Determines whether data for this attribute are segmented based on a dimension. |

### Boolean

| Localized    | Determines whether data for this attribute are localized.                      |
| ------------ | ------------------------------------------------------------------------------ |
| Segment data | Determines whether data for this attribute are segmented based on a dimension. |

### List

| Row data model     | A row data model representing the data structure for each row in the list.         |
| ------------------ | ---------------------------------------------------------------------------------- |
| Render separator   | A separator to use between rows when rendering to a single string (default is \|). |
| Enable table view  | Determines whether you want to display the list items in a searchable table.       |
| Table view columns | The columns to display in the table view, if enabled.                              |

### Complex

| Sub attributes       | The sub attributes, which this complex attribute should consist of. |
| -------------------- | ------------------------------------------------------------------- |
| Display rendering    | How the attribute is rendered when used for endpoint channels.      |
| Backoffice rendering | How the attribute is rendered when shown in the backoffice.         |

### Global list value reference

| Global list           | The global list from which values for the attribute shall be selected.           |
| --------------------- | -------------------------------------------------------------------------------- |
| Allow multiple values | Determines whether selection of multiple values from the global list is allowed. |

### Asset reference

| Allow multiple assets         | Determines whether multiple assets shall be selectable for the attribute       |
| ----------------------------- | ------------------------------------------------------------------------------ |
| Limit to specific asset types | Select if the attribute shall be limited to specific asset types.              |
| Upload folder                 | The folder where files uploaded through the attribute should be stored.        |
| Localized                     | Determines whether data for this attribute are localized.                      |
| Segment data                  | Determines whether data for this attribute are segmented based on a dimension. |

### Category reference

| Allow multiple categories    | Determines whether multiple categories shall be selectable for the attribute.  |
| ---------------------------- | ------------------------------------------------------------------------------ |
| Localized                    | Determines whether data for this attribute are localized.                      |
| Segment data                 | Determines whether data for this attribute are segmented based on a dimension. |
| Limit to specific catalogues | Select if the attribute shall be limited to specific catalogues.               |

### Product reference

| Allow multiple products     | Determines whether multiple products shall be selectable for the attribute.    |
| --------------------------- | ------------------------------------------------------------------------------ |
| Localized                   | Determines whether data for this attribute are localized.                      |
| Segment data                | Determines whether data for this attribute are segmented based on a dimension. |
| Limit to product structures | Select if the attribute shall be limited to specific product structures.       |

### Variant group reference

| Allow multiple variant groups | Determines whether multiple variant groups shall be selectable for the attribute.                     |
| ----------------------------- | ----------------------------------------------------------------------------------------------------- |
| Localized                     | Determines whether data for this attribute are localized.                                             |
| Segment data                  | Determines whether data for this attribute are segmented based on a dimension.                        |
| Only children                 | Determines whether the attribute shall be limited to children of the entity the attribute is used on. |
| Limit to product structures   | Select if the attribute shall be limited to specific product structures.                              |

### Variant reference

| Allow multiple variants        | Determines whether multiple variants shall be selectable for the attribute.                           |
| ------------------------------ | ----------------------------------------------------------------------------------------------------- |
| Localized                      | Determines whether data for this attribute are localized.                                             |
| Segment data                   | Determines whether data for this attribute are segmented based on a dimension.                        |
| Only children                  | Determines whether the attribute shall be limited to children of the entity the attribute is used on. |
| Limit to product structures    | Select if the attribute shall be limited to specfic product structures.                               |
| Limit to variation definitions | Select if the attribute shall be limited to specific variation definitions.                           |

### Product reference

| Allow multiple values     | Determines whether multiple values are allowed for the attribute.                             |
| ------------------------- | --------------------------------------------------------------------------------------------- |
| Localized                 | Determines whether data for this attribute are localized.                                     |
| Segment data              | Determines whether data for this attribute are segmented based on a dimension.                |
| Unfold complex attributes | Determines whether complex attributes shall be unfolded to allow selection of sub attributes. |
| Attribute scopes          | Select the attribute scopes, in which attributes must be placed to be referenced.             |
| Attribute types           | Select the attribute types, which can be referenced.                                          |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.struct.com/reference/settings/data-models/attributes/attribute-details/data-type-details.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
